---
id: v2025-iso3166
title: ISO3166
pagination_label: ISO3166
sidebar_label: ISO3166
sidebar_class_name: powershellsdk
keywords: ['powershell', 'PowerShell', 'sdk', 'ISO3166', 'V2025ISO3166'] 
slug: /tools/sdk/powershell/v2025/models/iso3166
tags: ['SDK', 'Software Development Kit', 'ISO3166', 'V2025ISO3166']
---


# ISO3166

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Format** | **String** | An optional value to denote which ISO 3166 format to return. Valid values are:   `alpha2` - Two-character country code (e.g., ""US""); this is the default value if no format is supplied   `alpha3` - Three-character country code (e.g., ""USA"")   `numeric` - The numeric country code (e.g., ""840"")  | [optional] 
**RequiresPeriodicRefresh** | **Boolean** | A value that indicates whether the transform logic should be re-evaluated every evening as part of the identity refresh process | [optional] [default to $false]
**VarInput** | [**map[string]AnyType**]https://learn.microsoft.com/en-us/powershell/scripting/lang-spec/chapter-04?view=powershell-7.4 | This is an optional attribute that can explicitly define the input data which will be fed into the transform logic. If input is not provided, the transform will take its input from the source and attribute combination configured via the UI. | [optional] 

## Examples

- Prepare the resource
```powershell
$ISO3166 = Initialize-V2025ISO3166  -Format alpha2 `
 -RequiresPeriodicRefresh false `
 -VarInput {type=accountAttribute, attributes={attributeName=first_name, sourceName=Source}}
```

- Convert the resource to JSON
```powershell
$ISO3166 | ConvertTo-JSON
```


[[Back to top]](#) 

